<!DOCTYPE html>
<html lang="en">
<%- include('partials/head.ejs', { title: 'Request logger' }) %>

  <body>
    <%- include('partials/navbar.ejs') %>

      <h1>Requests</h1>
      <% if (requests.length) { %>
        <table>
          <tr>
            <th>Method</th>
            <th>URL</th>
            <th>Date</th>
          </tr>
          <% requests.forEach((request)=> { %>
            <tr>
              <td>
                <%= request.method %>
              </td>
              <td><code><%= request.url %></code></td>
              <td>
                <%= request.date %>
              </td>
            </tr>
            <% }) %>
        </table>
        <% } else { %>
          <p class="message">No requests to show</p>
          <% } %>

            <form method="POST" action="/requests/delete">
              <input type="submit" value="Delete all requests">
            </form>

  </body>

</html>